@import url("https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Onest:wght@100..900&display=swap");

@view-transition {
  navigation: auto;
}

:root {
  --col-logo: #003989;
  --col-blue: #047ac4;

  --col1: #161615;
  --col2: #eceff2;
  --col3: #00d4ff;
  --col4: #090979;
  --col-shadow: #0003;
  --col-highlight: #fbfdff;
}

html {
  font-family: "Onest";
  color: var(--col1);
  background: var(--col2);
  scroll-behavior: smooth;
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  justify-content: space-between;
}

::selection {
  background: var(--col3);
  color: var(--col2);
}

.selectDisable {
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
}

.center {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

div.centered {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
}

div.left {
  display: flex;
  width: 100%;
  justify-content: flex-start;
  align-items: flex-start;
}

div.left h2 {
  margin-top: 1.5em;
}

h1 {
  font-size: 2.2em;
  font-weight: 700;
  margin: 2em 0 0.67em 0;
  color: var(--col4);
}
h2 {
  font-size: 1.5em;
  font-weight: 600;
  margin: 4em 0 1em 0;
  color: transparent;
  background: linear-gradient(140deg, var(--col3) 0%, var(--col4) 100%);
  background-clip: text;
}
h3 {
  font-size: 1.3em;
  font-weight: 600;
  margin: 0.75em 0;
}
h4 {
  margin: 0;
}

h5 {
  color: var(--col4);
  font-weight: 700;
  line-height: 1.5;
  font-size: 1.4em;
  margin: 1em 0 1em 0;
}

h1 + h5 {
  margin-top: 0;
}

p {
  font-weight: 300;
  line-height: 170%;
  font-size: 1.1em;
  margin-block-start: 0.25em;
}

@media (max-width: 768px) {
  p {
    text-align: justify;
  }
}

main div.content h1, h2, h3, h4, h5, p {
  hyphens: auto;
}

li {
  margin-left: 20px;
}
li.bottomSpacing:not(:last-child) {
  margin-bottom: 10px;
}

main a {
  color: inherit;
  text-decoration: 1px solid white underline;
  text-decoration-color: inherit;
  font-weight: 300;
  transition: font-weight 0.3s ease, text-decoration 0.3s ease;
}

main a:hover {
  text-decoration: 3px solid white underline;
  text-decoration-color: inherit;
  font-weight: 700;
}

.logo {
  margin-bottom: 1em;
  width: min(20em, 100%);
}

main button > a, main button > a:hover {
  text-decoration: none;
}

button {
  padding: 1em 2em;
  background: inherit;
  border: none;
  transition: all 0.2s;
  font-size: 1.2em;
  text-wrap-mode: nowrap;
  cursor: pointer;
  color: var(--col1);
  margin: 2em auto;
  border-radius: 5px;
  text-decoration: none;
  font-family: inherit;
}

button.prim_btn > a {
  font-weight: 700 !important;
}

button.prim_btn {
  color: var(--col2);
  font-weight: bold;
  background: linear-gradient(200deg, var(--col3) 0%, var(--col4) 100%);
  box-shadow:
    5px 5px 10px 0 var(--col-shadow),
    -5px -5px 10px 0 var(--col-highlight);
}
.prim_btn:hover {
  box-shadow:
    10px 10px 10px 0 var(--col-shadow),
    -10px -10px 10px 0 var(--col-highlight);
  background-position: 100%;
  transform: scale(1.02);
}

button.sec_btn {
  border: 1px solid var(--col3);
  background-color: inherit;
  box-shadow:
    5px 5px 10px 0 var(--col-shadow),
    -5px -5px 10px 0 var(--col-highlight);
}
.sec_btn:hover {
  background: var(--col3);
}

.content {
  padding: 0 clamp(25px, 5vmin, 150px);
  margin: 0 auto;
  max-width: 1300px;
}

@media (max-width: 768px) {
  .content {
    max-width: 95vw;
  }
}

main {
  margin-top: 6em;
  margin-bottom: 4em;
}

.slider {
  width: 100%;
  height: auto;
  text-align: center;
  overflow: hidden;
  position: relative;
}

.slides {
  display: flex;
  gap: 0;
  width: 100%;
  animation: autoScroll 22s infinite;
}

@keyframes autoScroll {
  0% { transform: translateX(0); }
  22.73% { transform: translateX(0); }
  25% { transform: translateX(-100%); }
  47.73% { transform: translateX(-100%); }
  50% { transform: translateX(-200%); }
  72.73% { transform: translateX(-200%); }
  75% { transform: translateX(-300%); }
  97.73% { transform: translateX(-300%); }
  100% { transform: translateX(0); }
}

.slide {
  flex-shrink: 0;
  width: 100%;
  aspect-ratio: 1.2 / 1;
  overflow: hidden;
}

.slide > img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.flexGrid {
  display: flex;
  gap: 1.5em;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
  margin-block-start: 0.5em;
  margin-block-end: 2em;
}

.flexGrid > div {
  padding: 1em 2em;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  hyphens: auto;
  flex: 1;
  flex-basis: 10em;
}

@media screen and (max-width: 700px) {
  .slider::after {
    display: none;
  }
  .slider::before {
    display: none;
  }
  .slide {
    margin: 0 !important;
  }
}

.headerImg {
  width: 100%;
  height: 45vh;
}
.headerImg > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}

@media (max-width: 768px) {
  .headerImg:has(img.mobile) > img.mobile {
    display: block;
  }
  .headerImg:has(img.mobile) > img:not(.mobile) {
    display: none;
  }
}
@media (min-width: 769px) {
  .headerImg:has(img.mobile) > img.mobile {
    display: none;
  }
  .headerImg:has(img.mobile) > img:not(.mobile) {
    display: block;
  }
}

.imageBox {
  display: flex;
  justify-content: space-between;
  gap: 1em;
}

.imageBox > div {
  flex-shrink: 1;
}

.imageBox > div > img {
  width: 100%;
  height: auto;
  max-height: 50vh;
  border-radius: 5px;
  box-shadow: 5px 5px 10px 0 var(--col-shadow);
}

@media screen and (max-width: 700px) {
  .imageBox {
    flex-wrap: wrap;
  }
  .imageBox > div {
    width: 100%;
  }
  .imageBox > div > img {
    max-width: 70vh;
  }
}

/******* LEISTUNGEN *******/

.card {
  background: var(--col-blue);
  color: var(--col2);
  border-radius: 5px;
  box-shadow:
    5px 5px 10px 0 var(--col-shadow),
    -5px -5px 10px 0 var(--col-highlight);
  position: relative;
  font-size: 1.15em;
}

.card img {
  width: 6em;
  margin: 0 auto;
}

.cardWrapper {
  display: flex;
  gap: 50px;
  flex-wrap: wrap;
  margin-block-start: 0.5em;
  margin-block-end: 50px;
}

.cardWrapper > * {
  padding: 3em;
  flex: 1;
  transition: 0.15s ease-in-out;
  flex-basis: 18em;
}

.cardWrapper > * h2 {
  margin-block: 0 2em;
  color: var(--col2);
}
.cardWrapper > * h3 {
  margin-block: 0 1em;
}

.cardWrapper > * li {
  margin: 10px 0;
}

.split-card {
  display: flex;
  border-radius: 5px;
  overflow: hidden;
  background-color: var(--col-blue);
  box-shadow: 5px 5px 10px 0 var(--col-shadow);
}

div.split-card + div.split-card {
  margin-top: 2em;
}

.split-half {
  flex: 1;
}

.split-half:has( div.slider) {
  display: flex;
  align-items: center;
  justify-content: center;
}

.split-text {
  padding: 40px;
}

.split-text h2 {
  margin-block: 0 2em;
  color: var(--col2);
}

.split-text ul {
  padding-left: 20px;
  margin-block: 0;
}

.split-text li {
  margin: 10px 0;
  color: var(--col2);
}

.split-card.reverse {
  flex-direction: row-reverse;
}

@media (min-width: 1000px) {
  .split-text h2 {
    font-size: 1.8em;
  }
  .split-text li {
    font-size: 1.35em;
  }
}

@media (max-width: 768px) {
  .split-card {
    flex-direction: column;
  }
  .split-card.reverse {
    flex-direction: column;
  }
  .split-half:has(div.slider) {
    width: 100%;
    padding: 0;
  }
  .split-text {
    padding: 1em;
  }
  .split-text ul {
    padding-left: 1em;
  }
}

div.call-to-action-section {
  margin-top: 4em;
}

/******* ÜBER UNS *******/
.bagged::after {
  content: "";
  width: 4.5em;
  aspect-ratio: 1;
  position: absolute;
  right: 20px;
  bottom: 0;
  transform: translateY(50%);
  rotate: -5deg;
  background-image: url("/assets/medal-front.png");
  background-size: contain;
  -webkit-filter: drop-shadow(5px 5px 5px var(--col-shadow));
  filter: drop-shadow(5px 5px 5px var(--col-shadow));
}

/****** CONTACT FORM ******/

.contactForm {
  padding-top: 2em;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2em 4em;
}

.contactForm > input[name="company"],
.contactForm > textarea[name="message"],
.contactForm > p {
  grid-column: span 2;
}

.contactForm textarea {
  resize: vertical;
  max-height: 15em;
}

.contactForm > input,
select,
textarea {
  width: 100%;
  padding: 0;
  margin: 0;
  border: none;
  border-bottom: 2px solid var(--col1);
  outline: none;
  padding-block: 10px;
  font-size: 1em;
  font-family: inherit;
  border-radius: 0;
  background-color: inherit;
  color: var(--col1);
}

::placeholder,
select:invalid,
select option[value=""],
.textGray {
  color: #999;
  opacity: 1; /* Firefox */
}

select,
select option {
  color: var(--col1);
}

@media (max-width: 700px) {
  .contactForm > * {
    grid-column: span 2;
  }
}

.contactForm > *:user-invalid {
  border-color: rgb(255, 0, 68);
  color: rgb(255, 0, 68);
}

.map {
  position: relative;
  border-radius: 5px;
  border: none;
  box-shadow: 5px 5px 10px 0 var(--col-shadow);
}
